Summary:	Miscellaneous databases dictd
Name:		dict-misc
Version:	1.5
Release:	2
Copyright:	GPL
Group:		Applications/Dictionary
URL:		http://www.dict.org/
Vendor:		www.dict.org
Source:		ftp://ftp.dict.org/pub/dict/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Prefix:		%{_prefix}
Packager:	Chris Ausbrooks <weed@bucket.pp.ualr.edu>
AutoReqProv:	0
PreReq:		dictd >= 1.5.0
BuildRequires:	%{prefix}/bin/dictzip
BuildArch:	noarch

%description 
The files contained herein include various working databases and indices
for the DICT server.

The dictionaries in this package include The Jargon File, The Free On-line
Dictionary of Computing (FOLDOC), The Elements Database, Easton's 1897
Bible Dictionary, Hitchcock's Bible Names Dictionary, and The CIA World
Factbook (1995).

%prep
%setup -q -n %{name}-%{version}

%build
./configure --prefix=%{prefix} --datadir=%{prefix}/share
make
make db

%install
rm -rf %{buildroot}
make prefix=%{buildroot}/%{prefix} \
	datadir=%{buildroot}/%{prefix}/share \
	install

%clean
rm -rf %{buildroot}

%post
echo -n "Configuring dicts: "
for i in jargon foldoc elements easton hitchcock world95 ; do
	echo -n "$i "
	echo 'database '$i' {	data "%{prefix}/share/dict/'$i'.dict.dz"' \
		>> /etc/dictd.conf
	echo '			index "%{prefix}/share/dict/'$i'.index" }' \
		>> /etc/dictd.conf
done
echo
/etc/rc.d/init.d/dictd restart

%preun
echo -n "Unconfiguring dicts: "
for i in jargon foldoc elements easton hitchcock world95 ; do
	echo -n "$i "
	grep -v %{prefix}/share/dict/$i.[id][ni][dc][et] /etc/dictd.conf \
		> dictd.conf.tmp
	mv -f dictd.conf.tmp /etc/dictd.conf
done
echo
/etc/rc.d/init.d/dictd restart

%files 
%defattr(-, root, root)
%doc COPYING ChangeLog README data/easton/easton-info.txt
%{prefix}/share/dict/*

%changelog
* Sat Jan 15 2000 Chris Ausbrooks <weed@bucket.pp.ualr.edu>
- made relocatable
- cleaned up spec
- moved data dir
- made noarch
- added preun and post
- got rid of makefile patch
- added easton documentation
